function A = funcA(n)

% se crea matriz A en test 1, tema 1

% matriz triangular superior llena de 1s con 0s en diagonal principal
A = triu(ones(n),1);
A = A + diag(4*ones(n,1)) - diag(ones(n-1,1),-1);
